Skip to main content
`Ctrl`+`K`

# `skopt.plots`.plot_regret

skopt.plots.plot_regret(*args, ax=None, true_minimum=None, yscale=None)

  Plot one or several cumulative regret traces.

  Parameters:
    args[i]`OptimizeResult`, list of `OptimizeResult`, or tuple

      The result(s) for which to plot the cumulative regret trace.

      - if `OptimizeResult`, then draw the corresponding single trace;

      - if list of `OptimizeResult`, then draw the corresponding cumulative

          regret traces in transparency, along with the average cumulative regret trace;

      - if tuple, then `args[i][0]` should be a string label and `args[i][1]` an `OptimizeResult` or a list of `OptimizeResult`.

    ax Axes`, optional

      The matplotlib axes on which to draw the plot, or `None` to create a new one.

    true_minimum float, optional

      The true minimum value of the function, if known.

    yscale None or string, optional

      The scale for the y-axis.

  Returns:
    ax `Axes`

      The matplotlib axes.